---
title: Range.startOffset
slug: Web/API/Range/startOffset
tags:
  - API
  - DOM
  - Property
  - Range
---
<p>{{ApiRef("DOM")}}</p>

<p>The <code><strong>Range.startOffset</strong></code> read-only property returns a number representing where in the <code>startContainer</code> the <code>Range</code> starts.</p>

<p>If the <code>startContainer</code> is a {{domxref("Node")}} of type {{domxref("Text")}}, {{domxref("Comment")}}, or {{domxref("CDATASection")}}, then the offset is the number of characters from the start of the <code>startContainer</code> to the boundary point of the {{domxref("Range")}}. For other {{domxref("Node")}} types, the <code>startOffset</code> is the number of child nodes between the start of the <code>startContainer</code> and the boundary point of the {{domxref("Range")}}.</p>

<p>To change the <code>startOffset</code> of a {{domxref("Range")}}, use the {{domxref("Range.setStart")}} method.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>startRangeOffset</em> = <em>range</em>.startOffset;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var range = document.createRange();
range.setStart(startNode,startOffset);
range.setEnd(endNode,endOffset);
var startRangeOffset = range.startOffset;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-startoffset', 'Range.startOffset')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'ranges.html#Level-2-Range-attr-startOffset', 'Range.startOffset')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.startOffset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
